<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Encoding.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Encoding.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Encoding.hh</h1><div><a href="../../../Source/Synopsis/PTree/Encoding.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><p>No includes.</p>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Atom.html" >Atom</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html" >Encoding</a>
<div class="doc"><p>An Encoding represents a mangled (type) name.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html" >Node</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Encoding</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#adelete_operator" >adelete_operator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#ampersand" >ampersand</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#anew_operator" >anew_operator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#bool_t" >bool_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#char_t" >char_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#comma" >comma</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#const_t" >const_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#delete_operator" >delete_operator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#dots" >dots</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#double_t" >double_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#float_t" >float_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#int_t" >int_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#left_angle" >left_angle</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#left_bracket" >left_bracket</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#left_paren" >left_paren</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#long_t" >long_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#my_buffer" >my_buffer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#new_operator" >new_operator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#operator_name" >operator_name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#right_angle" >right_angle</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#right_bracket" >right_bracket</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#right_paren" >right_paren</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#scope" >scope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#short_t" >short_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#signed_t" >signed_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#star" >star</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#tilder" >tilder</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#unsigned_t" >unsigned_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#void_t" >void_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#volatile_t" >volatile_t</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#wchar_t_t" >wchar_t_t</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >operator&lt;&#40;const&#160;Encoding&amp;&#44;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#operator_L_L_lstd_mostream_A_cconst.Encoding_A_r" >operator&lt;&lt;&#40;std::ostream&amp;&#44;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Encoding</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.Code_A_r" >Encoding&#40;const&#160;Code&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.char_S_r" >Encoding&#40;const&#160;char*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.char_S_csize_t_r" >Encoding&#40;const&#160;char*&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#Encoding_literator_citerator_r" >Encoding&#40;iterator&#44;iterator&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#array_lunsigned.long_r" >array&#40;unsigned&#160;long&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#at_lsize_t_rconst" >at&#40;size_t&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Encoding::char_traits</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#assign_lchar_type_A_cconst.char_type_A_r" >assign&#40;char_type&amp;&#44;const&#160;char_type&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#assign_lchar_type_S_cstd_msize_t_cchar_type_r" >assign&#40;char_type*&#44;std::size_t&#44;char_type&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#compare_lconst.char_type_S_cconst.char_type_S_cstd_msize_t_r" >compare&#40;const&#160;char_type*&#44;const&#160;char_type*&#44;std::size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#eof_l_r" >eof&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#eq_lconst.char_type_A_cconst.char_type_A_r" >eq&#40;const&#160;char_type&amp;&#44;const&#160;char_type&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#eq_int_type_lconst.int_type_A_cconst.int_type_A_r" >eq_int_type&#40;const&#160;int_type&amp;&#44;const&#160;int_type&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#find_lconst.char_type_S_cstd_msize_t_cconst.char_type_A_r" >find&#40;const&#160;char_type*&#44;std::size_t&#44;const&#160;char_type&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#length_lconst.char_type_S_r" >length&#40;const&#160;char_type*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#move_lchar_type_S_cconst.char_type_S_cstd_msize_t_r" >move&#40;char_type*&#44;const&#160;char_type*&#44;std::size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#to_char_type_lconst.int_type_A_r" >to_char_type&#40;const&#160;int_type&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#to_int_type_lconst.char_type_A_r" >to_int_type&#40;const&#160;char_type&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Encoding</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#cv_qualify_lconst.Node_S_cconst.Node_S_r" >cv_qualify&#40;const&#160;Node*&#44;const&#160;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#make_ptree_lNode_S_r" >make_ptree&#40;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >operator&lt;&#40;const&#160;Encoding&amp;&#44;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#operator_L_L_lstd_mostream_A_cconst.Encoding_A_r" >operator&lt;&lt;&#40;std::ostream&amp;&#44;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.Encoding_A_rconst" >operator==&#40;const&#160;Encoding&amp;&#41;const</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.std_mstring_A_rconst" >operator==&#40;const&#160;std::string&amp;&#41;const</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >prepend&#40;unsigned&#160;char&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#ptr_to_member_lconst.Encoding_A_cint_r" >ptr_to_member&#40;const&#160;Encoding&amp;&#44;int&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#qualified_lint_r" >qualified&#40;int&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#simple_name_lconst.Atom_S_r" >simple_name&#40;const&#160;Atom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#simple_name_lconst.Node_S_r" >simple_name&#40;const&#160;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#template__lconst.Node_S_cconst.Encoding_A_r" >template_&#40;const&#160;Node*&#44;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces</h3>
<div class="item"><a href="../../../Scopes/Synopsis.html" >Synopsis</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces in Synopsis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html" >PTree</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis::PTree::Encoding</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html" >char_traits</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::PTree::Encoding</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#Code" >Code</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::PTree::Encoding::char_traits</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#char_type" >char_type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#int_type" >int_type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#off_type" >off_type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#pos_type" >pos_type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding/char_traits.html#state_type" >state_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::PTree::Encoding</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Encoding.html#iterator" >iterator</a>
<div class="doc"></div></div>
</div>

</body>
</html>
